
Ruby - Bug #1684

ruby/rubyw.rc still say 1.9.1

06/24/2009 02:29 PM - rogerdpack (Roger Pack)

Status: Closed   

Priority: Normal   

Assignee: usa (Usaku NAKAMURA)   

Target version:    

ruby -v: trunk Backport:  

Description

=begin

though ruby -v says "1.9.2dev" ruby.rc still says 1.9.1

Could use updating sometime.

Thanks.

=end

History

#1 - 06/25/2009 08:04 AM - rogerdpack (Roger Pack)

=begin

as a note, appears the makefile still refers to it as 1.9.1, too

./win32 msvcrt-ruby191.rc msvcrt-ruby191.res.o

Thanks.

=r

=end

#2 - 06/25/2009 08:14 AM - luislavena (Luis Lavena)

=begin

On Wed, Jun 24, 2009 at 8:04 PM, Roger Packredmine@ruby-lang.org wrote:

Issue #1684 has been updated by Roger Pack.

as a note, appears the makefile still refers to it as 1.9.1, too

 ./win32 msvcrt-ruby191.rc msvcrt-ruby191.res.o

 The version number exposed there is not the version of Ruby itself but

the Ruby API version.

As note, 1.8.6 is API compatible with 1.8.5, so the ruby_version of

RbConfig::CONFIG is 1.8

1.9.2 is API compatible with 1.9.1, so ruby_version is '1.9.1'

This was the answer I got when asked about lib/ruby/#{ruby_version}

being 1.9.1 instead of MAJOR.MINOR

--

Luis Lavena

AREA 17

Perfection in design is achieved not when there is nothing more to add,

but rather when there is nothing more to take away.

Antoine de Saint-Exupéry

=end

#3 - 07/16/2009 04:14 PM - yugui (Yuki Sonoda)

- Assignee set to nobu (Nobuyoshi Nakada)

=begin
=end

#4 - 07/16/2009 04:28 PM - nobu (Nobuyoshi Nakada)

- Category set to core

- Status changed from Open to Closed

- Assignee changed from nobu (Nobuyoshi Nakada) to usa (Usaku NAKAMURA)

=begin

Applied in changeset r23839.

=end
